![screenshot](screenshot.jpg?raw=true)

## Summary

Dive into the relaxing world of OceanPop and experience waves of match-3 gameplay with the three modes available! 

Don‘t get crushed by the tides before completing the 35 levels in _regular mode_, feel the rush of the currents in _challenge mode_ or just go with the flow of the ocean breeze in _relaxed mode_!

## How to Play

In OceanPop the goal is to reach the target score before running out of moves. Earn points by lining up 3 or more shells of the same type. This is done by moving one shell as far horizontally or vertically as the user would like, but it can only be placed if it creates a match. Each time this is done, a move is used.

### Shells

![shells](assets/images/shells128.png?raw=true)

There are a couple of different shells to match. From the left, the first 5 all give points. The more matches in one turn the more points. The other 2 have a different effect, though:

- Don't match the **sea urchin**, it will cost points.
- Match the **bubble** to earn extra moves.

### Controls

OceanPop can be played with a keyboard, mouse or gamepad. Here each will be listed.

#### Keyboard

- **Arrow keys** or **WASD**: Move the cursor.
- **Space**, **Return** or **E**: Pick or drop a shell or confirm in menus.
- **Escape**: Open the menu.
- **Backspace** or **Q**: Cancel.

#### Mouse

- **Left click**: Pick or drop a shell or confirm in menus.
- **Right click**: Cancel.

#### Gamepad

- **Left analog stick** or **digital pad**: Move the cursor.
- **A**: Pick or drop a shell or confirm in menus.
- **Start**: Open the menu.
- **B**: Cancel.

This assumes an Xbox controller, but other controllers will work too.

## Download

The latest release can be found [here](https://github.com/sharkwouter/oceanpop/releases/latest).

## License

OceanPop was made available under the MIT license. See the ``LICENSE.txt`` file.

The original code can be found [here](https://github.com/sharkwouter/oceanpop/).

## Attribution

Some of the assets were made available by the following parties:

- [Shell sprites created by macrovector](https://www.freepik.com/free-vector/sea-fauna-icons_3924735.htm)
- [Urchin and sea weed sprites created by macrovector](https://www.freepik.com/free-vector/sea-life-cartoon-icons-set_4265868.htm)
- [Bubble sprite created by starline](https://www.freepik.com/free-vector/water-bubbles-background-with-text-space_15355945.htm)
- [Menu background created by Kellie Churchman from Pexels](https://www.pexels.com/photo/landscape-photograph-of-body-of-water-1001682/)
- [Background 1 created by Pixabay](https://www.pexels.com/photo/scenic-view-of-landscape-against-sky-315998/)
- [Background 2 created by Vincent Gerbouin from Pexels](https://www.pexels.com/photo/three-brown-wooden-cottage-and-sea-1167021/)
- [Background 3 created by Jess Loiterton from Pexels](https://www.pexels.com/photo/ocean-waves-crashing-on-shore-during-sunset-4603410/)
- [Background 4 created by Jeremy Bishop from Pexels](https://www.pexels.com/photo/underwater-photography-of-turtle-2397653/)
- [Sounds created by David McKee (ViRiX)](https://www.soundcloud.com/virix) [on OpenGameArt.org](https://opengameart.org/content/ui-sound-effects-pack)
- [Song 1 created by ZakharValaha from Pixabay](https://pixabay.com/music/corporate-background-uplifting-amp-upbeat-corporate-long-10292/)
- [Song 2 created by Lesfm from Pixabay](https://pixabay.com/music/solo-guitar-in-the-forest-ambient-acoustic-guitar-instrumental-background-music-for-videos-5718/)
- [Song 3 created by ZakharValaha from Pixabay](https://pixabay.com/music/beautiful-plays-ambient-piano-amp-strings-10711/)
- [Song 4 created by Coma-Media from Pixabay](https://pixabay.com/music/ambient-deep-ambient-11051/)
